package magasin;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class VenteImpl implements Vente {
	private List<FicheClient> clients;
	
	public VenteImpl() {
		clients = new ArrayList<FicheClient>();
	}
	
	@Override
	public FicheClient creerClient(String nom, String prenom) {
		FicheClient fc = new FicheClientImpl(nom, prenom);
		clients.add(fc);
		return fc;
	}
	
	@Override
	public Panier creerPanier(FicheClient fc) {
		PanierImpl p = new PanierImpl();
		fc.ajouterPanier(p);
		return p;
	}
	
	@Override
	public List<FicheClient> fichesClients() {
		return Collections.unmodifiableList(clients);
	}
}
